get
https://api.marketcircle.net/v1/projects/
Show the details of a project
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Project Attributes
| Attribute | Type | Description | Attributes |
|---|---|---|---|
self | reference | URL of the Project | Read-only Non-null |
name | string | Name of the Project | Read-Write Nullable |
keywords | array of string | List of Keywords | Read-Write Nullable |
category | string | Category name | Read-Write Nullable |
extra_fields | array of objects | List of Extra Fields | Read-Write Nullable |
status | string | The current status of the project. | Read-Write Non-null Default value is "new_status" |
due | datetime | Due date of the project. | Read-Write Nullable |
started | datetime | Start date of the project. | Read-Write Nullable |
completed | datetime | End date of the project. | Read-Write Nullable |
details | string | Details of the opportunity | Read-Write Nullable |
priority | integer | Priority of the opportunity. Must be an integer value between 0 (lowest priority) and 10 (highest priority) | Read-Write Non-null |
estimated_time | integer | Estimated time in minutes. | Read-Write Nullable |
contacts | array of contact | List of Contacts | Read-Write Nullable |
companies | array of companyroles | List of CompanyRoles | Read-Write Nullable |
appointments | array of contact | List of Appointments | Read-Write Nullable |
opportunities | array of opportunityroles | List of OpportunityRoles | Read-Write Nullable |
notes | array of note | List of Notes | Read-Write Nullable |
groups | array of group | List of Groups | Read-Write Nullable |
tasks | array of task | List of Tasks | Read-Write Nullable |
forms | array of form | List of Forms | Read-Write Nullable |
current_pipeline | reference | Current pipeline reference | Read-only Nullable |
current_pipeline_stage | reference | Current pipeline stage reference | Read-only Nullable |
owner | reference | URL of the User that is responsible for the project. | Read-Write Non-null Default value is creator |
creator | reference | URL of the User that created the opportunity | Read-only Non-null |
create_date | datetime | Timestamp from when the opportunity was created | Read-only Non-null |
modify_date | datetime | Timestamp from when the opportunity was last updated | Read-only Non-null |
trashed | boolean | Is the Contact in the trash | Read-only Non-null |
Project states
| State | Description |
|---|---|
"new_status" | A new project |
"in_progress" | A project that is underway |
"done" | A project that is completed |
"abandoned" | An abandoned project |
"cancelled" | A cancelled project |
"deferred" | A deferred project |